<?php

namespace App\Modules\Group\Domain;

use App\Modules\Shared\Domain\QueryList\ListInput;

interface ReportGroupRepository
{

    public function find(GroupDateStart $groupDateStart, GroupDateEnd $groupDateEnd, ListInput $input):array;
    public function count(GroupDateStart $groupDateStart, GroupDateEnd $groupDateEnd):int;
}
